#include "UVCoord.h"

UVCoord::UVCoord()
{
	_u = 0.0f;
	_v = 0.0f;
}

UVCoord::UVCoord(float u, float v)
{
	_u = u;
	_v = v;
}

UVCoord::UVCoord(const UVCoord& other)
{
	Copy(other);
}

UVCoord::~UVCoord()
{
}

float UVCoord::GetU() const
{
	return _u;
}

void UVCoord::SetU(const float u)
{
	_u = u;
}

float UVCoord::GetV() const
{
	return _v;
}

void UVCoord::SetV(const float v)
{
	_v = v;
}

UVCoord& UVCoord::operator= (const UVCoord& rhs)
{
	if (this != &rhs)
	{
		Copy(rhs);
	}
	return *this;
}

void UVCoord::Copy(const UVCoord& other)
{
	_u = other.GetU();
	_v = other.GetV();
}
